# LaboThapPy: A Thermodynamic Modelling Library

**LaboThapPy** is an open-source Python library that consolidates a wide range of thermodynamic models developed over years of research at the University of Liège. Its primary purpose is to provide a standardized framework for detailed thermodynamic system and component modeling.

## Why LaboThapPy?

At the University of Liège's Thermodynamic Laboratory, we noticed a recurring issue:  
- Identical or similar models were being recreated across different software and codes.  
- Some models were lost when researchers left.  

**LaboThapPy** was created to address these challenges by:  
- Establishing a shared repository of thermodynamic models.  
- Providing a standardized framework for model implementation.  

## Authors

This library was initially developed by:  
- **Elise Neven** (University of Liège) – [elise.neven@uliege.be](mailto:elise.neven@uliege.be)  
- **Basile Chaudoir** (University of Liège) – [Basile.Chaudoir@uliege.be](mailto:Basile.Chaudoir@uliege.be)  

## Documentation

Detailed documentation is available on [ReadTheDocs](https://labothappy.readthedocs.io).

## Reporting Issues

If you encounter any issues or have suggestions, please report them through the [GitHub Issues page](../../issues).
